//	Release Version:	$ ODF 1 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

#ifndef FWRECT_H
#include <FWRect.h>			// FW_CRect
#endif

// ----- OS Layer -----
#ifndef FWEVENT_H
#include "FWEvent.h"		// FW_CMouseEvent
#endif

//=======================================================================
class CDataCopyPart;
class FW_CMenuEvent;

//=======================================================================
class CDataCopyFrame : public FW_CFrame, public FW_MDraggableFrame, public  FW_MDroppableFrame {
public:
	FW_DECLARE_AUTO(CDataCopyFrame)
	
						CDataCopyFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CDataCopyContent* content);
	virtual 			~CDataCopyFrame();
protected:
// overrides
	virtual void					Draw(Environment *ev, 
											ODFacet* odFacet, 
											ODShape* invalidShape);
	virtual FW_Boolean 				DoMouseDown(Environment* ev, 
											const FW_CMouseEvent& theMouseEvent);
	virtual FW_Boolean				DoAdjustMenus(Environment* ev, 
											FW_CMenuBar* menuBar, 
											FW_Boolean hasMenuFocus,
											FW_Boolean isRoot);
	virtual FW_CClipboardCommand*	NewClipboardCommand(Environment* ev, 
											ODCommandID commandID);
	virtual FW_CDragCommand*		NewDragCommand(Environment *ev, 
											FW_CFrame* theFrame, 
											const FW_CMouseEvent& theMouseEvent);
	virtual FW_CDropCommand* 		NewDropCommand(Environment *ev,
											FW_CFrame* frame,
											ODDragItemIterator* dropInfo, 
											ODFacet* odFacet, 
											const FW_CPoint& dropPoint);
// new members
private:
	CDataCopyContent* 	fDataCopyContent;
	FW_CRect 			fFrameRect;
};

//=======================================================================
#endif
